/*
 * defs.h
 *
 * Created: 2013-08-21 13:25:27
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

#define LCD_PORT		PORTB
#define LCD_DDR			DDRB
#define LCD_PIN			PINB
#define LCD_BD4			2
#define LCD_BD5			3
#define LCD_BD6			4
#define LCD_BD7			5
#define LCD_RS			0
#define LCD_EN			1

#define UI_PORT			PORTC
#define UI_DDR			DDRC
#define UI_PIN			PINC
#define PIEZZO			0		//H active
#define BKL_PIN			1		//L active
#define SW1_PIN			2
#define SW2_PIN			3
#define SW3_PIN			4

#define BKL_OFF			UI_PORT |= (1<<BKL_PIN);
#define BKL_ON			UI_PORT &= ~(1<<BKL_PIN);

#define BUZZ_ON			UI_PORT |= (1<<PIEZZO);
#define BUZZ_OFF		UI_PORT &= ~(1<<PIEZZO);

//---constants-------------------
#define MCK 			8000000
#define CLEAR			0
#define STOP			0
#define DISABLE			0
#define ZERO			0
#define OFF				0
#define SET				1
#define ENABLE			1
#define MAX				0xFF

#define SHOW_DELAY		100

#define IDLE_SEC		20
#define IDLE_BACK		50
#define NORMAL_BACK		220
#define NO_SWITCH		0
#define SWITCH_THRESHOLD	40
#define SWITCH_REPEAT		39
#define SWITCH_HOLD			8
#define DOT_TIME		90

#define NO_BUTTON		0
#define BUTTON1			1
#define BUTTON2			2
#define BUTTON3			4
#define HOLD1			9
#define HOLD2			10
#define HOLD3			12

#define ALARM_READY		0
#define ALARM_ACTIVE	1
#define ALARM_BLOCKED	2

#endif /* DEFS_H_ */