/*
 * ee_mem.c
 *
 * Created: 2013-08-22 07:53:50
 *  Author: dsosnowski
 */ 

#include <avr/io.h>
#include "ee_mem.h"

//--------------------------------- 
void EEwrite(char address, char data)
{
	while(EECR & (1<<EEWE)); 		//Wait for completion of previous write
	EECR = 0;						//Set Programming mode

	EEAR = address;				//Set up address and data registers
	EEDR = data;

	EECR |= (1<<EEMWE);				//Write logical one to EEMPE
	EECR |= (1<<EEWE);				//Start eeprom write by setting EEPE
}

//--------------------------------- 
char EEread(char address)
{
	while(EECR & (1<<EEWE));		//Wait for completion of previous write
	
	EEAR = address;					//Set up address register	
	EECR |= (1<<EERE);				//Start eeprom read by writing EERE
	
	return EEDR;					//Return data from data register
}
